MSGMERGE(1)

NUME
msgmerge - fuzionează catalogul și șablonul de mesaje

SINOPSIS
msgmerge [OPȚIUNE] def.po ref.pot

DESCRIERE

Îmbină două fișiere .po în stil Uniforum împreună. Fișierul def.po este un fișier PO existent cu traduceri care vor fi preluate în fișierul nou creat atâta timp cât se potrivesc; comentariile vor fi păstrate, dar comentariile extrase și pozițiile de fișier vor fi omise. Fișierul ref.pot este ultimul fișier PO creat cu referințe la surse actualizate, dar traduceri vechi, sau un fișier șablon PO (creat în general de xgettext); orice traduceri sau comentarii din fișier vor fi eliminate, totuși comentariile cu puncte și pozițiile fișierelor vor fi păstrate. Acolo unde nu poate fi găsită o potrivire exactă, se va folosi potrivirea aproximativă pentru a produce rezultate mai bune.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Locație fișier de intrare:

def.po
    traducerile referitoare la surse vechi

ref.pot
    referințe la surse noi

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

-C, --compendium=FIȘIER
    bibliotecă adițională de traduceri de mesaje, poate fi specificată de mai multe ori

  Mod de operare:

-U, --update
    actualizează fișierul def.po, nu face nimic dacă def.po este deja actualizat

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

Locația fișierului de ieșire în modul de actualizare: Rezultatul este scris înapoi în def.po.

--backup=CONTROL
    face o copie de rezervă a def.po

--suffix=SUFIX
    înlocuiește sufixul obișnuit de copie de rezervă

Metoda de control al versiunilor poate fi selectată prin intermediul opțiunii --backup sau prin intermediul variabilei de mediu VERSION_CONTROL. Iată care sunt valorile:

none, off
    nu face niciodată copii de rezervă (chiar dacă este dată opțiunea --backup)

numbered, t
    face copii de rezervă numerotate

existing, nil
    numerotat dacă copiile de rezervă numerotate există, simplu în caz contrar

simple, never
    întotdeauna face copii de rezervă simple

Sufixul de copie de rezervă este „~”, cu excepția cazului în care este stabilit cu opțiunea --suffix sau variabila de mediu SIMPLE_BACKUP_SUFFIX.

  Modificatori operație:

-m, --multi-domain
    aplică ref.pot la fiecare dintre domeniile din def.po

--for-msgfmt
    produce ieșire pentru „msgfmt”, nu pentru un traducător

-N, --no-fuzzy-matching
    nu folosește potrivire aproximativă (fuzzy)

--previous
    păstrează msgid-urile anterioare ale mesajelor traduse

  Sintaxă fișier de intrare:

-P, --properties-input
    fișierele de intrare sunt în sintaxă .properties Java

--stringtable-input
    fișierele de intrare sunt în sintaxă .strings NeXTstep/GNUstep

  Detalii ieșire:

--lang=NUME_CATALOG
    definește câmpul „Language” în intrarea din antet

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--no-location
    suprimă liniile „#: nume_fișier:linie”

-n, --add-location
    păstrează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie ieșirea în stil strict Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată (învechită)

-F, --sort-by-file
    ordonează ieșirea după locația fișierului

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

-v, --verbose
    crește nivelul de detaliere al mesajelor informative

-q, --quiet, --silent
    suprimă indicatorii de progres

AUTOR
Scris de Peter Miller.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgmerge este menținută ca un manual Texinfo. Dacă programele info și msgmerge sunt instalate corespunzător la pagina personală, comanda

    info msgmerge

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.